## Class TQueueIterator

Description

Implements interfaces:

TQueueIterator class

TQueueIterator implements Iterator interface.

TQueueIterator is used by TQueue. It allows TQueue to return a new iterator for traversing the items in the queue.

- since: 3.1
- version: $Id$
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TQueue.php (line 189)

Method Summary
TQueueIterator __construct (array &$data)
mixed current ()
integer key ()
void next ()
void rewind ()
boolean valid ()
Methods
Constructor __construct (line 208)

Constructor.

- access: public

TQueueIterator __construct (array &$data)

- array &$data: the data to be iterated through

current (line 239)

Returns the current array item.

This method is required by the interface Iterator.

- return: the current array item
- access: public

mixed current ()
key (line 229)

Returns the key of the current array item.

This method is required by the interface Iterator.

- return: the key of the current array item
- access: public

integer key ()
next (line 248)

Moves the internal pointer to the next array item.

This method is required by the interface Iterator.

- access: public

void next ()
rewind (line 219)

Rewinds internal array pointer.

This method is required by the interface Iterator.

- access: public

void rewind ()
valid (line 258)

Returns whether there is an item at current position.

This method is required by the interface Iterator.

- access: public

boolean valid ()

Documentation generated on Mon, 21 Apr 2008 11:35:54 -0400 by phpDocumentor 1.3.0RC4